Index: libmime-types-perl/lib/MIME/Types.pm
===================================================================
--- libmime-types-perl.orig/lib/MIME/Types.pm	2007-11-13 18:45:07.000000000 +0100
+++ libmime-types-perl/lib/MIME/Types.pm	2007-11-13 18:45:48.000000000 +0100
@@ -55,6 +55,26 @@
               , system     => $os
               );
         }
+
+        if (open (FH, "/etc/mime.types"))
+	{
+	    while (<FH>)
+            {   s/\#.*//;
+                next if m/^$/;
+
+                my ($type, @exts) = split;
+
+                next if $args->{only_complete} && ! @exts;
+                my $simplified = MIME::Type->simplified($type);
+
+                push @{$list{$simplified}}, MIME::Type->new
+                    ( type       => $type
+                    , extensions => \@exts
+                    );
+            }
+
+            close FH;
+        }
     }
 
     undef $mime_type_definitions;   # to reduce memory consumption
